cereal::traits::get_shared_from_this_base< T > Struct Template Reference

Get the type of the base class of T which inherited from std::enable_shared_from_this. More...

`#include </build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/details/traits.hpp>`

## Public Types

using | type = typename std::decay< typename PtrType::element_type >::type
| The type of the base of T that inherited from std::enable_shared_from_this.

## Detailed Description

### template<class T>
struct cereal::traits::get_shared_from_this_base< T >

Get the type of the base class of T which inherited from std::enable_shared_from_this.

The documentation for this struct was generated from the following file:

- /build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/details/traits.hpp